var inicio=0;

function aumentar(num){

inicio = num + 10;
Cargar();
}

function disminuir(num){

  if(num>0 ){
    inicio = num - 10;
    Cargar();
  }

}

function Cargar(){
document.location.href="ingresar_cursos.php?pos="+inicio;
}


//----------------------------------------------------
$(document).ready(function(){

    $("#bton_insertar").click(function(){
         var parametros = {"accion":'mostrar_tabla'};
                    $.ajax({
                    data:  parametros,
                    url:"app/model/insertar_curso.php",
                    type: "POST",
                success: function(opciones){$("#insertar").html(opciones);}})});});
//-----------------------------------------------------
function get(id){
    return document.getElementById(id).value;
}

function limpiar_c(){
      
    document.getElementById('g_id1').value="";
    document.getElementById('g_id2').value="";

    document.getElementById('codigo').value="";
    document.getElementById('descripcion').value="";

    document.getElementById('j_id1').value="";
    document.getElementById('j_id2').value="";

    document.getElementById('abreviar').value="";
    document.getElementById('s_id1').value="";
    document.getElementById('s_id2').value="";

    document.getElementById('g_id1').focus();

}

function grabar(){

var p = parametro( 'pos' );

if (p==""){
    p=0;
}

var v1=get('g_id1');//curso
var v2=get('codigo');
var v3=get('descripcion');
var v4=get('j_id1');//jornada
var v5=get('abreviar');
var v6=get('s_id1'); //sede



if (v1=="") {
    alert("Digite Grado");
    return 0;
}
if (v2=="") {
    alert("Digite C&oacute;digo del Curso");
    return 0;
}
if (v3=="") {
    alert("Digite Descripci&oacute;n del Curso");
    return 0;
}
if (v4=="") {
    alert("Digite Jornada");
    return 0;
}
if (v5=="") {
    alert("Digite Abreviatura del Curso");
    return 0;
}
if (v6=="") {
    alert("Digite Sede");
    return 0;
}



var parametros = {"accion":'grabar_curso',
                          "grado" :v1,
                          "codigo" :v2,
                          "descripcion" :v3,
                          "jornada" :v4,
                          "abreviar" :v5,
                          "sede" :v6

                           };
        $.ajax({
                data:  parametros,
                url:"app/model/insertar_curso.php",
                type:  'post',
                success:function (response){
                        alert(response);
                        limpiar_c();
                        document.location.href="ingresar_cursos.php?pos="+p;
                }
        });

}

function actualizar(orden){


var p = parametro( 'pos' );

if (p==""){
    p=0;
}

var v1=get('g_id1');
var v2=get('codigo');
var v3=get('descripcion');
var v4=get('j_id1');
var v5=get('abreviar');
var v6=get('s_id1');


//alert(orden+" - "+v1+" - "+v2+" - "+v3+" - "+v4+" - "+v5+" - "+v6);

if (v1=="") {
    alert("Digite Grado");
    return 0;
}
if (v2=="") {
    alert("Digite C&oacute;digo del Curso");
    return 0;
}
if (v3=="") {
    alert("Digite Descripci&oacute;n del Curso");
    return 0;
}
if (v4=="") {
    alert("Digite Jornada");
    return 0;
}
if (v5=="") {
    alert("Digite Abreviatura del Curso");
    return 0;
}
if (v6=="") {
    alert("Digite Sede");
    return 0;
}



var parametros = {"accion":'actualizar_curso',
                          "orden" :orden,
                          "grado" :v1,
                          "codigo" :v2,
                          "descripcion" :v3,
                          "jornada" :v4,
                          "abreviar" :v5,
                          "sede" :v6

                           };
        $.ajax({
                data:  parametros,
                url:"app/model/insertar_curso.php",
                type:  'post',
                success:function (response){
                        document.location.href="ingresar_cursos.php?pos="+p;
                        alert(response);
                }
        });

}

//------------------------------------------
function eliminar(orden,grado,curso,inicio,total){

   //alert ("ORDEN: "+orden+ " - " +" GRADO: "+grado+" - "+" CURSO: "+curso);
 
   if ((total>10) && (total-inicio==1)){
       inicio=inicio-10;
   }

   var parametros = {"accion":'borrar_curso',"orden" :orden,"grado" :grado,"curso" :curso};
        $.ajax({
                data:  parametros,
                url:"app/model/insertar_curso.php",
                type:  'post',
                success:function (response){
                        alert(response);
                        document.location.href="ingresar_cursos.php?pos="+inicio;

                }
        }); 
}

//------------------------------------------
function editar(orden){


    var parametros = {"accion":'editar_curso',"orden" :orden};
        $.ajax({
                data:  parametros,
                url:"app/model/insertar_curso.php",
                type:  'post',
                success: function(opciones){$("#insertar").html(opciones);

                }
        });
}

//-----------------------------------
function parametro( name ){
	var regexS = "[\\?&]"+name+"=([^&#]*)";
	var regex = new RegExp ( regexS );
	var tmpURL = window.location.href;
	var results = regex.exec( tmpURL );
	if( results == null )
		return "";
	else
		return results[1];
}

